Page MenuHomePhabricator

elm_gen****: fix focus restoring on window focus changes
ClosedPublic

Authored by bu5hm4n on Dec 13 2018, 11:22 PM.

Details

Summary

this ensures that if there is no focused item, that at least the
container is focused. This leads to the fact that the elm_genlist
/elm_gengrid is refocused when a window is unfocused and focused again.
Depends on D7450

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Dec 13 2018, 11:22 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Dec 13 2018, 11:22 PM
YOhoho accepted this revision.Dec 16 2018, 3:56 PM
This revision is now accepted and ready to land.Dec 16 2018, 3:56 PM
Closed by commit rEFL6922761f3fd0: elm_gen****: fix focus restoring on window focus changes (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyDec 17 2018, 12:46 AM
This revision was automatically updated to reflect the committed changes.